[lfs-dev] Sed: Cracklib as optional dependency

Alain Toussaint atoussaint1976 at gmail.com
Fri Oct 20 19:17:49 PDT 2017


I've been doing work on my planned weekend server build of LFS + the
bunch of server software needed for my linode and upon checking out
the list of dependencies, I took note that sed had cracklib as
optional dependency.

I downloaded sed-4.4 source, checked out its configure
--help=recursive flag. ran configure and checked out the config.h
files for any indication why cracklib could be a dependency and did
not find anything.

Could that be a mistake? If so, as part of my build, I will check out
each and every software going into my build (all of LFS systemd at
least and several of BLFS packages are going in) and report back on
monday, with fixes to LFS sources.

Alain

reference: http://linuxfromscratch.org/lfs/view/systemd/appendices/dependencies.html


More information about the lfs-dev mailing list